com.google.cloud.dataflow.sdk.coders

## Class StructuralByteArray

- java.lang.Object
- - com.google.cloud.dataflow.sdk.coders.StructuralByteArray

    public class StructuralByteArray
    extends Object

A wrapper around a byte[] that uses structural, value-based equality rather than byte[]'s normal object identity.

### Constructor Summary

Constructors
Constructor and Description
`StructuralByteArray(byte[] value)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`byte[]` `getValue()`
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StructuralByteArray

    public StructuralByteArray(byte[] value)

### Method Detail

#### getValue

    public byte[] getValue()

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`